# Gimp.Image.prototype.freeze_layers

    function freeze_layers(): Boolean {
        // Gjs wrapper for gimp_image_freeze_layers()
    }

Freeze the image's layer list.

This procedure freezes the layer list of the image, suppressing any updates to the Layers dialog in response to changes to the image's layers. This can significantly improve performance while applying changes affecting the layer list.

Each call to Gimp.Image.prototype.freeze_layers should be matched by a corresponding call to Gimp.Image.prototype.thaw_layers, undoing its effects.

Since 2.10.2

Returns

  TRUE on success.